#include "mainwindow.h"
#include "ui_mainwindow.h"

#include <QString>

#include "FindProcDll.c"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    connect(ui->pushButton, &QPushButton::clicked, this, &MainWindow::findQbt);
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::findQbt(bool clicked)
{
    Q_UNUSED(clicked);

    TCHAR name[] = __T("qbittorrent.exe");
    TCHAR path[MAX_LEN] = {};

    FindProcByName(name, 0, 0, path);
    ui->plainTextEdit->setPlainText(QString("Result: %1\nPath: %2")
                                    .arg(QString::fromWCharArray(name), QString::fromWCharArray(path)));
}
